unit About;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, shellApi, Dialogs, TVCLib_TLB, Main, Variants;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TBitBtn;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    ProgramIcon: TImage;
    BitBtn1: TBitBtn;
    Label1: TLabel;
    Manuf: TLabel;
    vers: TLabel;
    implem: TLabel;
    LabelDebug: TLabel;
    Label2: TLabel;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
  public
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

procedure TAboutBox.BitBtn1Click(Sender: TObject);
const FileName = 'http://pagesperso-orange.fr/jean-michel.millet/miseajourOscillo.html';
begin
  if ShellExecute(Handle, 'open', PChar(FileName), nil, nil, SW_SHOW) <= 32 then
     ShowMessage('Impossible d''accder  '+Filename)
end;

procedure TAboutBox.FormActivate(Sender: TObject);
var manufacturer,version,impl : OleVariant;
begin
{$IFDEF Debug}
   LabelDebug.Visible := true;
{$ELSE}
   LabelDebug.Visible := false;
{$ENDIF}
manufacturer := FormMain.Tvc1.Attribute[VI_ATTR_RSRC_MANF_NAME];
version := FormMain.Tvc1.Attribute[VI_ATTR_RSRC_SPEC_VERSION];
impl := FormMain.Tvc1.Attribute[VI_ATTR_RSRC_IMPL_VERSION];
manuf.caption := 'VISA Manufacturer Name : '+manufacturer;
vers.caption := 'Support '+version+' spcification';
implem.caption := 'Implementation version : '+impl;
end;

end.

